queueJobs

The queueJobs query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the QueueJobConnection type.

query queueJobs ($state: String, $queue: String, $jobClass: String, $filter: String, $sort: String, $after: String, $before: String, $first: Int, $last: Int) {
  queueJobs (state: $state, queue: $queue, jobClass: $jobClass, filter: $filter, sort: $sort, after: $after, before: $before, first: $first, last: $last) {
    edges {
      cursor
      node {
        activeJobId
        arguments
        attempts
        concurrencyKey
        enqueuedAt
        error
        finishedAt
        id
        jobClass
        priority
        queue
        scheduledAt
        state
        warren
        warrenId
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
state String ready, scheduled, running, blocked, failed or finished
queue String  
jobClass String  
filter String  
sort String  
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.

ResponseLink to Response section